<?php

namespace Drupal\social_auth_vipps\Settings;

/**
 * Defines an interface for Social Auth Vipps settings.
 */
interface VippsAuthSettingsInterface {

  /**
   * Gets the client ID.
   *
   * @return string
   *   The client ID.
   */
  public function getClientId();

  /**
   * Gets the client secret.
   *
   * @return string
   *   The client secret.
   */
  public function getClientSecret();

  /**
   * Gets the Merchant Serial Number.
   *
   * @return string
   *   The Merchant Serial Number.
   */
  public function getMerchantSerialNumber();

  /**
   * Gets the Subscription Key.
   *
   * @return string
   *   The Subscription Key.
   */
  public function getSubscriptionKey();

}
